Loading... Please wait...

Our Newsletter


Sort by:

DSi up to 1.4.5

Flashcarts in this category can all play out of box on DSi XL/LL or DSi with all system versions below, no other firmware upgrade is required, only their corresponding kernel is needed to be installed into memory card.

DSi XL/LL Systems: 1.3, 1.4, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5 (U / E / A / J / K)
DSi Systems: 1.3, 1.4, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5 ( U / E / A / J / K)